package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag759;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT759Creator;

/**
 * @author wuzhe
 * @date 2023/3/2
 */
public class Tag45DCreator extends AbsTagCreate {

     private MT759Creator mt759Creator;

    public Tag45DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt759Creator= (MT759Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag45DValue = mt759Creator.getNarrative();
        mt759Creator.set("45D", tag45DValue);
    }
}
